
Redmine - Defect #6267

changing the authentication mode from ldap to internal with setting the password

2010-09-01 14:16 - Sebastian Rick

Status: Closed Start date: 2010-09-01

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 100%

Category: LDAP Estimated time: 0.00 hour

Target version: 1.0.2   

Resolution: Fixed Affected version: 1.0.1

Description

Database: PostgreSQL 8.4

Ruby: 1.8.7

Rails: 2.3.5

error description:

On changing the authentication mode from ldap to internal and set the new password in one step, this will result in an changed

authentication mode with an unchanged password. The notification via mail shows the changed password, but it wouldn't be

changed. The redmine-log shows no error. Also all other logs, e.g. postgres, shows quiet good.

Associated revisions

Revision 4066 - 2010-09-06 03:02 - Eric Davis

Allow user password changes when changing to Internal authentication. #6267

History

#1 - 2010-09-05 23:39 - Eric Davis

- Category set to LDAP

- Assignee set to Eric Davis

- Target version set to 1.0.2

I'm guessing that the password is getting set before the authentication mode is changed.  Since LDAP doesn't allow password changes, the change is

"lost".  I'll try to reproduce it and see about fixing it in 1.0.2.

#2 - 2010-09-06 02:59 - Eric Davis

- Status changed from New to Resolved

- % Done changed from 0 to 100

- Resolution set to Fixed

Fixed in r4066.

#3 - 2010-09-20 05:51 - Eric Davis

- Status changed from Resolved to Closed

Merged into 1.0-stable for release in 1.0.2
